<div class="col-12 p-0" style="position: relative;">
    <ngx-spinner bdColor="rgba(0,0,0,0.8)" color="#fff" type="timer" size="large" [fullScreen]="false">
        <p style="color: white;margin-top: 30px;">Loading Datas...</p>
        <!--if fullscreen false  Your parent container(div) should have position: relative;  -->
    </ngx-spinner>

    <div class="col-12 p-0">
        <div class="col-12">
            <div class="flex flex-column md:flex-row md:align-items-center md:justify-content-between mb-3 gap-3">
                <div class="flex align-items-center">
                    <img src="assets/demo/images/avatar/profile.jpg" width="64" alt="profile"
                        class="border-circle border-2 border-primary flex-shrink-0" />
                    <div class="ml-3">
                        <span class="text-4xl font-light">{{title}}{{fname}} {{lname}}</span>
                        <div class="text-color-secondary">
                            <span class="text-black-alpha-90 font-bold mr-2">อายุ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{age | thaiage}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">เพศ :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{gender}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">AN :</span>
                            <span class="text-black-alpha-60 font-semibold mr-4">{{an}} </span>
                            <span class="text-black-alpha-90 font-bold mr-2">HN :</span>
                            <span class="text-black-alpha-60 font-semibold">{{hn}} </span>
                        </div>
                    </div>
                </div>
                <div class="flex align-items-center justify-content-between gap-3">
                    <!-- <button pButton pRipple icon="pi pi-arrow-left"
                    class="p-button-rounded p-button-outlined">ย้อนกลับ</button> -->
                    <button pButton pRipple icon="pi pi-arrow-left" type="button" label="ย้อนกลับ"
                        class="p-button-outlined"></button>

                </div>
            </div>
        </div>



        <div class="card p-0 grid grid-nogutter" style="padding: 2px !important;">

            <div class="col-12 md:col-4 lg:col-4 py-2 px-2 border-none md:border-right-1 surface-border">               
                    <app-progress-note class="w-full" ></app-progress-note>            

            </div>

            <div class="col-12 md:col-4 lg:col-4 py-2 px-2 border-none md:border-right-1 surface-border">
                <app-order-oneday class="w-full" ></app-order-oneday>    
            </div>

            <div class="col-12 md:col-4 lg:col-4 py-2 px-2  surface-border">
                <app-order-continue class="w-full" ></app-order-continue>    
            </div>


        </div>
    </div>
    <div class="col-12 w-full">
        <p-messages></p-messages>
    </div>